Subject: Re: I got in with telnet, but I still have problems (fwd)
From: [email-masked] (Patrick J. Fay)

28 Jan 1998 09:04:03 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Glad to help,
Per your suggestion, I'm posting this to the list.
Pat

Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
Los Alamos National Lab                    wk:         (505) 665-9141
CTI M.S. B296                              fax:        (505) 667-5921
Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop

---------- Forwarded message ----------
Date: Wed, 28 Jan 1998 09:41:50 +0100 (MET)
From: Nicola Bernardini <[email-masked]>
To: "Patrick J. Fay" <[email-masked]>
Subject: Re: I got in with telnet, but I still have problems

Thank you very much Patrick
(I work part time on this project so it takes me some time to check
all thing);
with your suggestions, I am finally up and running. The problem was
that I thought that cygwin.dll was only in the lib* directory somewhere:
it seems like b18 deposits several copies of cygwin.dll, one of
which in an executable directory; I had replaced only one of them
with Sergei's dll and another one was still lying around. I suggest
that your mail gets in some FAQ or HOWTO because it is actually
very valuable. I would also stress that, in order to propely compile
on NT machines, the following mount entry should be created:

c:\gnuwin32\b18\H-i386-cygwin32 /usr                native      no-mixed,text=binary

where the first entry should be replaced with whatever directory holds
the cygwin distribution. This is not considered mandatory in the
distributed info, but gcc hardly works properly without it...

Thanks again Patrick and thanks to the whole mailing list which provides
very insightful information...

Nicola

On Thu, 15 Jan 1998, Patrick J. Fay wrote:

> Hello Nicola,
> Here are somethings to check.
> Make sure that you have only sergey's cygwin.dll in your path,
> or even your whole disk.
> (Start/find/cygwin.dll on the whole disk
> Make sure you've set the permissions for the user who is starting
> telnetd (or inetd or whatever). Sergey's instructions says that 
> the user running telnetd has to have a bunch of special permissions
> on.
> Then make sure that the person running the telnetd and the user 
> logging in have the 
> CYGWIN_TTY=1
> CYGWIN_TITLE=1 
> in their configuration.
> /StartMenu/Setttings/Systems/Environment? User environment or something
>  like that.
> Make sure the path that telnetd sets up for the user logging in 
> includes /bin and whatever directory has cygwin.dll in it.
> 
> Hope this helps.
> Pat
> 
> On Tue, 13 Jan 1998, Nicola Bernardini wrote:
> 
> > 
> > after considerable struggling I managed to make it in in the Windows
> > NT machine through telnet with Sergey Okhapkin remote suite. I still
> > have problems though, because I trash cygwin.dll as soon as I get in
> > and execute anything (in the example that follows I do 'ls'):
> > 
> > Script started on Tue Jan 13 19:04:50 1998
> > ax-nicb:.../nicb$ telnet winnt
> > Trying 194.184.60.102...
> > Connected to winnt.axnet.it.
> > Escape character is '^]'.
> > 
> > CYGWIN32_NT 4.0 (WINNT) (tty1)
> > 
> > login: nicb
> > Password:
> > Last login: Sun Jan 11 19:58:01 from 194.184.60.112
> > sh-2.01$ ls 
> > (unknown) In cygwin_except_handler
> > (unknown) Exception trapped!
> > (unknown) exception C0000005 at 10018910
> > (unknown) exception: ax 0 bx 3F2 cx DF dx 64
> > (unknown) exception: si 240FA28 di 0 bp 240FA3C sp 240FA18
> > (unknown) exception is: STATUS_ACCESS_VIOLATION
> > (unknown) Stack trace:
> > (unknown) frame 0: sp = 0x240F84C, pc = 0x1000CEC2
> > (unknown) frame 1: sp = 0x240F868, pc = 0x77F94512
> > (unknown) frame 2: sp = 0x240F88C, pc = 0x77F88EEB
> > (unknown) frame 3: sp = 0x240F918, pc = 0x77F76266
> > (unknown) frame 4: sp = 0x240FA3C, pc = 0x1000BBED
> > (unknown) frame 5: sp = 0x240FF94, pc = 0x1000C113
> > (unknown) frame 6: sp = 0x240FFA0, pc = 0x408D3D
> > (unknown) frame 7: sp = 0x240FFB0, pc = 0x40103B
> > (unknown) frame 8: sp = 0x240FFC0, pc = 0x77F1B304
> > (unknown) frame 9: sp = 0x240FFF0, pc = 0x0
> > (unknown) End of stack trace
> > (unknown) In cygwin_except_handler
> > (unknown) Error while dumping state (probably corrupted stack)
> > (unknown) In cygwin_except_handler
> > (unknown) Error while dumping state (probably corrupted stack)
> > (unknown) In cygwin_except_handler
> > ....
> > ....
> > .... never stops anymore after this.
> > (I have to exit from telnet via escape, the process gets locked in
> > and I need to go the Winnt console and stop it via the Task manager;
> > another potential clue is that I cannot do anything that uses the dll
> > while this program is locked, and that the program runs the cpu
> > at 100% while eating up all it's memory)
> > 
> > - END OF EXAMPLE
> > 
> > I am running Winnt 4.0 SP 3 with everything set up as documented
> > (CYGWIN_TTY, etc.). Thinking it was the shell I tried all the shells
> > I had (the old one from coolview and Bogorad's one). No success.
> > 
> > Has anybody got a clue?
> > 
> > Thanks in advance,
> > 
> > Nicola
> > 
> 
> Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
> Los Alamos National Lab                    wk:         (505) 665-9141
> CTI M.S. B296                              fax:        (505) 667-5921
> Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop
> 

------------------------------------------------------------------------
Nicola Bernardini
E-mail: [email-masked]
 
Re graphics: A picture is worth 10K words -- but only those to describe
the picture.  Hardly any sets of 10K words can be adequately described
with pictures.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".